Upsert Products
curl --request PUT \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"id": "<string>",
"name": "<string>",
"vendors": [
"<string>"
],
"categories": [
"<string>"
],
"description": "Named as \"Best Beer in the World\" in 2008 at the World Beer Championships in Chicago, Illinois.",
"brand": {
"id": "<string>",
"name": "<string>"
},
"imageURL": "https://cdn.example.com/products/eyGqR4YQgBJa.jpg",
"price": 18.99,
"active": true,
"ean": "4003994155486",
"quality_score": 0.5,
"metadata": {},
"globalId": "PROD-12345",
"link": "http://www.example.com/asp/sp.asp?cat=12&id=1030"
}
]
}
'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products"
payload = { "products": [
{
"id": "<string>",
"name": "<string>",
"vendors": ["<string>"],
"categories": ["<string>"],
"description": "Named as \"Best Beer in the World\" in 2008 at the World Beer Championships in Chicago, Illinois.",
"brand": {
"id": "<string>",
"name": "<string>"
},
"imageURL": "https://cdn.example.com/products/eyGqR4YQgBJa.jpg",
"price": 18.99,
"active": True,
"ean": "4003994155486",
"quality_score": 0.5,
"metadata": {},
"globalId": "PROD-12345",
"link": "http://www.example.com/asp/sp.asp?cat=12&id=1030"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
products: [
{
id: '<string>',
name: '<string>',
vendors: ['<string>'],
categories: ['<string>'],
description: 'Named as "Best Beer in the World" in 2008 at the World Beer Championships in Chicago, Illinois.',
brand: {id: '<string>', name: '<string>'},
imageURL: 'https://cdn.example.com/products/eyGqR4YQgBJa.jpg',
price: 18.99,
active: true,
ean: '4003994155486',
quality_score: 0.5,
metadata: {},
globalId: 'PROD-12345',
link: 'http://www.example.com/asp/sp.asp?cat=12&id=1030'
}
]
})
};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalog API
Upsert Products
Upsert products.
PUT
/
public
/
v1
/
catalog-search-service
/
catalogs
/
products
Upsert Products
Autorisierungen
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Body
application/json
The products to create or substitute.
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Antwort
Successful Response
War diese Seite hilfreich?
⌘I